package com.cim.idm.wmspackage.materialreceivetactdetail.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.KeyInfo;

public class MaterialReceiveActDetailKey implements KeyInfo {
	private String siteName;
	private String receiveRequestName;
	private String receiveActNO;
	private String receiveRequestDetailName;
	private Timestamp makeDate;
	
	public MaterialReceiveActDetailKey(){
		
	}
	
	public MaterialReceiveActDetailKey(String siteName,String receiveRequestName,String receiveActNO, String receiveRequestDetailName,Timestamp makeDate){
		this.siteName=siteName;
		this.receiveRequestName=receiveRequestName;
		this.receiveActNO=receiveActNO;
		this.receiveRequestDetailName=receiveRequestDetailName;
		this.makeDate=makeDate;
		
	}

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getReceiveRequestName() {
		return receiveRequestName;
	}

	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}

	

	public String getReceiveActNO() {
		return receiveActNO;
	}

	public void setReceiveActNO(String receiveActNO) {
		this.receiveActNO = receiveActNO;
	}

	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}

	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}
	
	public Timestamp getMakeDate() {
		return makeDate;
	}
	public void setMakeDate(Timestamp makeDate) {
		this.makeDate = makeDate;
	}

}
